<!DOCTYPE html>
<html><head>
<title>eric7.WebBrowser.WebBrowserClearPrivateDataDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.WebBrowser.WebBrowserClearPrivateDataDialog</h1>
<p>
Module implementing a dialog to select which private data to clear.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#WebBrowserClearPrivateDataDialog">WebBrowserClearPrivateDataDialog</a></td>
<td>Class implementing a dialog to select which private data to clear.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="WebBrowserClearPrivateDataDialog" ID="WebBrowserClearPrivateDataDialog"></a>
<h2>WebBrowserClearPrivateDataDialog</h2>
<p>
    Class implementing a dialog to select which private data to clear.
</p>

<h3>Derived from</h3>
QDialog, Ui_WebBrowserClearPrivateDataDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#WebBrowserClearPrivateDataDialog.__init__">WebBrowserClearPrivateDataDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#WebBrowserClearPrivateDataDialog.getData">getData</a></td>
<td>Public method to get the data from the dialog.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="WebBrowserClearPrivateDataDialog.__init__" ID="WebBrowserClearPrivateDataDialog.__init__"></a>
<h4>WebBrowserClearPrivateDataDialog (Constructor)</h4>
<b>WebBrowserClearPrivateDataDialog</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="WebBrowserClearPrivateDataDialog.getData" ID="WebBrowserClearPrivateDataDialog.getData"></a>
<h4>WebBrowserClearPrivateDataDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to get the data from the dialog.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple with flags indicating which data to clear
            (browsing history, search history, favicons, disk cache, cookies,
            passwords, downloads, zoom values, SSL certificate error exceptions) and
            the selected history period in milliseconds
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (bool, bool, bool, bool, bool, bool, bool, bool, bool, int)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
